//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	OalUtils.h	--- OAL specific utility functions
//
//	CHANGE HISTORY:
//		UL, 1998-08-12: 1.0.0: - first version
//
//	AUTHOR:
//		U. Lammers, Wed Aug 12 18:01:41 MET DST 1998
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/oal/src/OalUtils.h,v 1.6 2003/06/16 08:41:35 gvacanti Exp $
///

#ifndef OALUTILS_H
#define OALUTILS_H

#include <string>

namespace OalUtils {
	string uncomment(const string &s);
		//
		//	PURPOSE:
		//		Chop of a comment which starts with '/' from a given
		//		string; after that trailing whitespace is removed as well
		//		e.g. "bla bla bla   / this is useless" -> "bla bla bla"
		//
};

#endif
